Bug 399920 - Plasmashell crashes when moving a widget too fast
Summary: Plasmashell crashes when moving a widget too fast
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-wayland (show other bugs)
Version: 5.14.90
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2018-10-17 10:03 UTC by Matej Mrenica
Modified: 2019-05-19 07:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matej Mrenica 2018-10-17 10:03:36 UTC
STEPS TO REPRODUCE
1. Add a widget
2. Move the widget around

OBSERVED RESULT
The faster you go the less frames are drawn, up to the point where plasmashell crashes.

EXPECTED RESULT
Widgets should be movable smoothly and shouldn't cause crashes.

SOFTWARE VERSIONS
(available in About System)
KDE Plasma Version: 5.14.1
KDE Frameworks Version: 5.51
Qt Version: 5.12-beta2

ADDITIONAL INFORMATION
Log:
"The Wayland connection broke. Did the Wayland compositor die?"
GPU: Intel HD 4400
Comment 1 Matej Mrenica 2019-02-07 16:22:08 UTC
Maybe someone notices something on this video: https://gfycat.com/ElegantCarelessAmurratsnake
Comment 2 Matej Mrenica 2019-05-16 19:25:39 UTC
Doesn't seem to happen anymore.